var BOOKS = function(){
	var _P = {
		init : function( params ) {
			_P.params = params;
			_P.loadXml();
		},
		params : null,
		data : null,
		loadXml : function() {
			$.ajax({
				type : "GET",
				url : _P.params.xmlPath,
				dataType : "xml",
				success : function( data ) {
					_P.data = data;
					_P.max = _P.params.perView;
					_P.count = $( "gallery", data ).length;
					_P.preloadBooks();
					_P.browseBooks();
				}
			});
		},
		first : 0,
		max : 0,
		count : 0,
		preloadBooks : function()
		{
			$( "ul", "#thumbcontent" ).empty();
			$( "gallery", _P.data ).each(function( i )
				{
				var title = $.trim( $( "title", this ).text() );
			//	var href = $.trim( $( "href", this ).text() );
				$( "ul", "#thumbcontent" ).append([
					"<li><a href='imagedisp.php?file=",
					title,
					"' class='thumb' target='imagedisp'><img src='",
					$.trim( $( "image > src", this ).text() ),
					"' width='38' height='45' alt='",
					title,
					"' /></a></li>" ].join( "" ));

			});
			
			$( "#thumbcontent .prev" ).click(function() {
				_P.browseBooks( "prev" );
				return false;
			});
			$( "#thumbcontent .next" ).click(function() {
				_P.browseBooks( "next" );
				return false;
			});
		},
		browseBooks : function( browse ) {
			if ( browse == "prev" ) {
				if ( _P.first == _P.count && ( _P.count % _P.max > 0 ) ) {
					_P.first = _P.first - ( ( _P.count % _P.max ) + _P.max );
				} else {
					_P.first = _P.first - ( _P.max * 2 );
				}
			}
			var range = _P.first + _P.max;
			var start = 1;
			if ( range > _P.max ) {
				start = ( ( range - _P.max ) + 1 );
			}
			if ( _P.first == 0 ) {
				$( "#thumbcontent .prev" ).css( "visibility", "hidden" );
			} else {
				$( "#thumbcontent .prev" ).css( "visibility", "visible" );
			}
			if ( range < _P.count ) {
				$( "#thumbcontent .next" ).css( "visibility", "visible" );
			} else if ( range >= _P.count ) {
				range = _P.count;
				$( "#thumbcontent .next" ).css( "visibility", "hidden" );
			}
			$( "gallery", _P.data ).each(function( i ) {
				if ( i >= _P.first && i < range ) {
					$( "#thumbcontent li:eq(" + i + ")" ).fadeIn( "slow" );
				} else {
					$( "#thumbcontent li:eq(" + i + ")" ).css( "display", "none" );
				}
			});
			_P.first = range;
			$( "#thumbcontent .showing" ).html([
				"<strong>",
				start,
				" - ",
				range,
				"</strong> of <strong>",
				_P.count,
				"</strong>" ].join( "" ));
		},
	};
	return {
		init : function( params ) {
			_P.init( params );
		}
	};
}();